.m-image-texte {

  .m-image-texte__texte_wrap {
    padding: 5.625rem 0;
    max-width: 518px;

    @media(width < 991px) {
      padding: 1.5em 0;
    }
  }

  .m-image-texte__titre {
    margin-block-start: 0;
    font-size: 1.875rem;
  }

  .m-image-texte__texte {
    margin: 0 0 2em 0;

    ul {
      list-style-image: url('../../../assets/img/bullet.svg');
      margin-top: 2.125rem;

      li {
        strong {
          font-weight: 800;
        }

        margin-bottom: 2.125rem;

        &:last-child {
          margin-bottom: 0;
        }

        h2,
        h3,
        h4 {
          margin: 0;
        }
      }
    }
  }

  .m-image-texte__image {
    overflow: hidden;
    border-radius: 8px;
  }

  .m-image-texte__image--cover {
    height: 100%;

    img {
      object-fit: cover;
      height: 100%;
      border-radius: 8px;
    }
  }

  &.is-style-rounded {
    .m-image-texte__image {
      img {
        border-radius: 8px;
      }
    }
  }

  &.is-style-style-second {
    border-radius: 10px;

    &.alignwide {
      max-width: 1306px;
    }

    >.container {
      max-width: 1155px;
    }

    .m-image-texte__wrap {
      @media(width < 991px) {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
      }
    }

    .m-image-texte__texte_wrap {
      max-width: 528px;
      padding: 0;

      .m-image-texte__titre {
        font-size: var(--wp--preset--font-size--x-large);
      }
    }

    .m-image-texte__image {
      height: 100%;

      img {
        border-radius: 8px;
      }
    }

    .m-image-texte__image--cover,
    picture,
    img {
      height: 100%;
    }
  }





  &.has-secondary-background-color {
    .m-image-texte__titre {
      color: #fff;
    }
  }


  &.m-image-texte--full {
    position: relative;

    .m-image-texte__wrap {
      position: relative;
      z-index: 1;
      background: #fff;
      max-width: 572px;
      margin-top: 143px;
      border-radius: 7px;
      border: solid 1px var(--wp--preset--color--border-light);

      @media(width < 765px) {
        margin-top: 180px;
      }

      .m-image-texte__texte_wrap {
        padding: 62px 48px;
        max-width: inherit;

        .m-image-texte__texte {
          margin-bottom: 0;

          p {
            margin-block-start: 0;

            &:last-child {
              margin-bottom: 0;
            }
          }

          ul {}
        }

        @media(width < 765px) {
          padding: 23px 32px;
        }
      }
    }

    .m-image-texte__image {
      background-position: center;
      background-repeat: no-repeat;
      position: absolute;
      top: 0;
      left: 0;
      right: 0;
      height: 560px;
      bottom: 0;
      background-size: cover;
      border-radius: 0;

      @media(width < 765px) {
        height: 400px;
      }
    }
  }

  &.m-image-texte--under {
    position: relative;
    padding: 44px 0;
    max-width: 1155px !important;

    @media(width < 991px) {
      padding: 0 0 160px;
      margin-bottom: 170px !important;
      border: solid 1px var(--wp--preset--color--border-light);
      box-shadow: 0px 1px 4px 0px rgba(25, 33, 61, 0.08);
    }

    .m-image-texte__wrap {
      position: relative;
      z-index: 1;
      background: #fff;
      max-width: 720px;
      margin: 0 0 0 auto;
      border-radius: 8px;
      border: solid 1px var(--wp--preset--color--border-light);
      box-shadow: 0px 1px 4px 0px rgba(25, 33, 61, 0.08);

      @media(width < 991px) {
        margin: 0;
        padding: 0;
        border: none;
        box-shadow: none;
      }

      .m-image-texte__texte_wrap {
        max-width: inherit;
        padding: 62px 48px;

        @media(width < 991px) {
          padding: 30px 15px;
          text-align: center;
        }

        .m-image-texte__titre {
          @media(width < 991px) {
            font-size: 1.5rem;
          }
        }

        .m-image-texte__texte {
          margin-bottom: 0;

          p {
            margin-block-start: 0;

            &:last-child {
              margin-bottom: 0;
            }
          }
        }

        .wp-block-button__link {
          margin-top: 2rem;

          @media(width < 991px) {
            font-size: .875rem;
          }
        }

      }
    }

    .m-image-texte__image {
      background-position: center;
      background-repeat: no-repeat;
      position: absolute;
      top: 0;
      left: 0;
      height: 100%;
      width: 80%;
      bottom: 0;
      background-size: cover;
      border-radius: 8px;

      @media(width < 991px) {
        width: auto;
        height: 312px;
        bottom: -150px;
        left: 15px;
        right: 15px;
        z-index: 1;
        top: inherit;
      }
    }
  }

  /* aligné à gauche */
  &.m-image-texte--gauche {
    .col-image {
      @media(width < 765px) {
        order: 2;
        margin-top: 2em;
      }

      .m-image-texte__image {
        text-align: start;
      }
    }

    .col-texte {
      .m-image-texte__texte_wrap {
        margin-left: auto;
      }
    }
  }

  /* aligné à droite */
  &.m-image-texte--droite {
    .col-image {
      .m-image-texte__image {
        text-align: end;
      }

      @media(width < 765px) {
        margin-top: 2em;
      }
    }

    .col-texte {
      .m-image-texte__texte_wrap {
        margin-right: auto;
      }
    }
  }


}